////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 9.1i
//  \   \         Application : sch2verilog
//  /   /         Filename : MyScopeMain.vf
// /___/   /\     Timestamp : 10/22/2008 10:41:55
// \   \  /  \ 
//  \___\/\___\ 
//
//Command: J:\Xilinx91i\bin\nt\sch2verilog.exe -intstyle ise -family xc9500 -w J:/Xilinx91i/Projekt/MyScope/MyScopeMain.sch MyScopeMain.vf
//Design Name: MyScopeMain
//Device: xc9500
//Purpose:
//    This verilog netlist is translated from an ECS schematic.It can be 
//    synthesized and simulated, but it should not be modified. 
//
`timescale 1ns / 1ps

module FTCE_MXILINX_MyScopeMain(C, 
                                CE, 
                                CLR, 
                                T, 
                                Q);

    input C;
    input CE;
    input CLR;
    input T;
   output Q;
   
   wire TQ;
   wire Q_DUMMY;
   
   assign Q = Q_DUMMY;
   XOR2 I_36_32 (.I0(T), 
                 .I1(Q_DUMMY), 
                 .O(TQ));
   FDCE I_36_35 (.C(C), 
                 .CE(CE), 
                 .CLR(CLR), 
                 .D(TQ), 
                 .Q(Q_DUMMY));
endmodule
`timescale 1ns / 1ps

module CB8CE_MXILINX_MyScopeMain(C, 
                                 CE, 
                                 CLR, 
                                 CEO, 
                                 Q, 
                                 TC);

    input C;
    input CE;
    input CLR;
   output CEO;
   output [7:0] Q;
   output TC;
   
   wire T2;
   wire T3;
   wire T4;
   wire T5;
   wire T6;
   wire T7;
   wire XLXN_1;
   wire [7:0] Q_DUMMY;
   wire TC_DUMMY;
   
   assign Q[7:0] = Q_DUMMY[7:0];
   assign TC = TC_DUMMY;
   AND5 I_36_1 (.I0(Q_DUMMY[7]), 
                .I1(Q_DUMMY[6]), 
                .I2(Q_DUMMY[5]), 
                .I3(Q_DUMMY[4]), 
                .I4(T4), 
                .O(TC_DUMMY));
   AND2 I_36_2 (.I0(Q_DUMMY[4]), 
                .I1(T4), 
                .O(T5));
   AND3 I_36_11 (.I0(Q_DUMMY[5]), 
                 .I1(Q_DUMMY[4]), 
                 .I2(T4), 
                 .O(T6));
   AND4 I_36_15 (.I0(Q_DUMMY[3]), 
                 .I1(Q_DUMMY[2]), 
                 .I2(Q_DUMMY[1]), 
                 .I3(Q_DUMMY[0]), 
                 .O(T4));
   VCC I_36_16 (.P(XLXN_1));
   AND2 I_36_24 (.I0(Q_DUMMY[1]), 
                 .I1(Q_DUMMY[0]), 
                 .O(T2));
   AND3 I_36_26 (.I0(Q_DUMMY[2]), 
                 .I1(Q_DUMMY[1]), 
                 .I2(Q_DUMMY[0]), 
                 .O(T3));
   AND4 I_36_28 (.I0(Q_DUMMY[6]), 
                 .I1(Q_DUMMY[5]), 
                 .I2(Q_DUMMY[4]), 
                 .I3(T4), 
                 .O(T7));
   AND2 I_36_31 (.I0(CE), 
                 .I1(TC_DUMMY), 
                 .O(CEO));
   FTCE_MXILINX_MyScopeMain Q0 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(XLXN_1), 
                                .Q(Q_DUMMY[0]));
   // synthesis attribute HU_SET of Q0 is "Q0_6"
   FTCE_MXILINX_MyScopeMain Q1 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(Q_DUMMY[0]), 
                                .Q(Q_DUMMY[1]));
   // synthesis attribute HU_SET of Q1 is "Q1_7"
   FTCE_MXILINX_MyScopeMain Q2 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T2), 
                                .Q(Q_DUMMY[2]));
   // synthesis attribute HU_SET of Q2 is "Q2_3"
   FTCE_MXILINX_MyScopeMain Q3 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T3), 
                                .Q(Q_DUMMY[3]));
   // synthesis attribute HU_SET of Q3 is "Q3_4"
   FTCE_MXILINX_MyScopeMain Q4 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T4), 
                                .Q(Q_DUMMY[4]));
   // synthesis attribute HU_SET of Q4 is "Q4_5"
   FTCE_MXILINX_MyScopeMain Q5 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T5), 
                                .Q(Q_DUMMY[5]));
   // synthesis attribute HU_SET of Q5 is "Q5_2"
   FTCE_MXILINX_MyScopeMain Q6 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T6), 
                                .Q(Q_DUMMY[6]));
   // synthesis attribute HU_SET of Q6 is "Q6_1"
   FTCE_MXILINX_MyScopeMain Q7 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T7), 
                                .Q(Q_DUMMY[7]));
   // synthesis attribute HU_SET of Q7 is "Q7_0"
endmodule
`timescale 1ns / 1ps

module D2_4E_MXILINX_MyScopeMain(A0, 
                                 A1, 
                                 E, 
                                 D0, 
                                 D1, 
                                 D2, 
                                 D3);

    input A0;
    input A1;
    input E;
   output D0;
   output D1;
   output D2;
   output D3;
   
   
   AND3 I_36_30 (.I0(A1), 
                 .I1(A0), 
                 .I2(E), 
                 .O(D3));
   AND3B1 I_36_31 (.I0(A0), 
                   .I1(A1), 
                   .I2(E), 
                   .O(D2));
   AND3B1 I_36_32 (.I0(A1), 
                   .I1(A0), 
                   .I2(E), 
                   .O(D1));
   AND3B2 I_36_33 (.I0(A0), 
                   .I1(A1), 
                   .I2(E), 
                   .O(D0));
endmodule
`timescale 1ns / 1ps

module CB16CE_MXILINX_MyScopeMain(C, 
                                  CE, 
                                  CLR, 
                                  CEO, 
                                  Q, 
                                  TC);

    input C;
    input CE;
    input CLR;
   output CEO;
   output [15:0] Q;
   output TC;
   
   wire T2;
   wire T3;
   wire T4;
   wire T5;
   wire T6;
   wire T7;
   wire T8;
   wire T9;
   wire T10;
   wire T11;
   wire T12;
   wire T13;
   wire T14;
   wire T15;
   wire XLXN_1;
   wire [15:0] Q_DUMMY;
   wire TC_DUMMY;
   
   assign Q[15:0] = Q_DUMMY[15:0];
   assign TC = TC_DUMMY;
   AND3 I_36_3 (.I0(Q_DUMMY[2]), 
                .I1(Q_DUMMY[1]), 
                .I2(Q_DUMMY[0]), 
                .O(T3));
   AND2 I_36_4 (.I0(Q_DUMMY[1]), 
                .I1(Q_DUMMY[0]), 
                .O(T2));
   VCC I_36_9 (.P(XLXN_1));
   AND4 I_36_10 (.I0(Q_DUMMY[3]), 
                 .I1(Q_DUMMY[2]), 
                 .I2(Q_DUMMY[1]), 
                 .I3(Q_DUMMY[0]), 
                 .O(T4));
   AND5 I_36_14 (.I0(Q_DUMMY[7]), 
                 .I1(Q_DUMMY[6]), 
                 .I2(Q_DUMMY[5]), 
                 .I3(Q_DUMMY[4]), 
                 .I4(T4), 
                 .O(T8));
   AND2 I_36_15 (.I0(Q_DUMMY[4]), 
                 .I1(T4), 
                 .O(T5));
   AND3 I_36_19 (.I0(Q_DUMMY[5]), 
                 .I1(Q_DUMMY[4]), 
                 .I2(T4), 
                 .O(T6));
   AND4 I_36_21 (.I0(Q_DUMMY[6]), 
                 .I1(Q_DUMMY[5]), 
                 .I2(Q_DUMMY[4]), 
                 .I3(T4), 
                 .O(T7));
   AND5 I_36_22 (.I0(Q_DUMMY[15]), 
                 .I1(Q_DUMMY[14]), 
                 .I2(Q_DUMMY[13]), 
                 .I3(Q_DUMMY[12]), 
                 .I4(T12), 
                 .O(TC_DUMMY));
   AND2 I_36_23 (.I0(Q_DUMMY[12]), 
                 .I1(T12), 
                 .O(T13));
   AND3 I_36_24 (.I0(Q_DUMMY[13]), 
                 .I1(Q_DUMMY[12]), 
                 .I2(T12), 
                 .O(T14));
   AND4 I_36_25 (.I0(Q_DUMMY[14]), 
                 .I1(Q_DUMMY[13]), 
                 .I2(Q_DUMMY[12]), 
                 .I3(T12), 
                 .O(T15));
   AND4 I_36_26 (.I0(Q_DUMMY[10]), 
                 .I1(Q_DUMMY[9]), 
                 .I2(Q_DUMMY[8]), 
                 .I3(T8), 
                 .O(T11));
   AND3 I_36_27 (.I0(Q_DUMMY[9]), 
                 .I1(Q_DUMMY[8]), 
                 .I2(T8), 
                 .O(T10));
   AND2 I_36_28 (.I0(Q_DUMMY[8]), 
                 .I1(T8), 
                 .O(T9));
   AND5 I_36_29 (.I0(Q_DUMMY[11]), 
                 .I1(Q_DUMMY[10]), 
                 .I2(Q_DUMMY[9]), 
                 .I3(Q_DUMMY[8]), 
                 .I4(T8), 
                 .O(T12));
   AND2 I_36_54 (.I0(CE), 
                 .I1(TC_DUMMY), 
                 .O(CEO));
   FTCE_MXILINX_MyScopeMain Q0 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(XLXN_1), 
                                .Q(Q_DUMMY[0]));
   // synthesis attribute HU_SET of Q0 is "Q0_9"
   FTCE_MXILINX_MyScopeMain Q1 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(Q_DUMMY[0]), 
                                .Q(Q_DUMMY[1]));
   // synthesis attribute HU_SET of Q1 is "Q1_8"
   FTCE_MXILINX_MyScopeMain Q2 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T2), 
                                .Q(Q_DUMMY[2]));
   // synthesis attribute HU_SET of Q2 is "Q2_11"
   FTCE_MXILINX_MyScopeMain Q3 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T3), 
                                .Q(Q_DUMMY[3]));
   // synthesis attribute HU_SET of Q3 is "Q3_10"
   FTCE_MXILINX_MyScopeMain Q4 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T4), 
                                .Q(Q_DUMMY[4]));
   // synthesis attribute HU_SET of Q4 is "Q4_15"
   FTCE_MXILINX_MyScopeMain Q5 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T5), 
                                .Q(Q_DUMMY[5]));
   // synthesis attribute HU_SET of Q5 is "Q5_14"
   FTCE_MXILINX_MyScopeMain Q6 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T6), 
                                .Q(Q_DUMMY[6]));
   // synthesis attribute HU_SET of Q6 is "Q6_13"
   FTCE_MXILINX_MyScopeMain Q7 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T7), 
                                .Q(Q_DUMMY[7]));
   // synthesis attribute HU_SET of Q7 is "Q7_12"
   FTCE_MXILINX_MyScopeMain Q8 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T8), 
                                .Q(Q_DUMMY[8]));
   // synthesis attribute HU_SET of Q8 is "Q8_16"
   FTCE_MXILINX_MyScopeMain Q9 (.C(C), 
                                .CE(CE), 
                                .CLR(CLR), 
                                .T(T9), 
                                .Q(Q_DUMMY[9]));
   // synthesis attribute HU_SET of Q9 is "Q9_17"
   FTCE_MXILINX_MyScopeMain Q10 (.C(C), 
                                 .CE(CE), 
                                 .CLR(CLR), 
                                 .T(T10), 
                                 .Q(Q_DUMMY[10]));
   // synthesis attribute HU_SET of Q10 is "Q10_18"
   FTCE_MXILINX_MyScopeMain Q11 (.C(C), 
                                 .CE(CE), 
                                 .CLR(CLR), 
                                 .T(T11), 
                                 .Q(Q_DUMMY[11]));
   // synthesis attribute HU_SET of Q11 is "Q11_19"
   FTCE_MXILINX_MyScopeMain Q12 (.C(C), 
                                 .CE(CE), 
                                 .CLR(CLR), 
                                 .T(T12), 
                                 .Q(Q_DUMMY[12]));
   // synthesis attribute HU_SET of Q12 is "Q12_20"
   FTCE_MXILINX_MyScopeMain Q13 (.C(C), 
                                 .CE(CE), 
                                 .CLR(CLR), 
                                 .T(T13), 
                                 .Q(Q_DUMMY[13]));
   // synthesis attribute HU_SET of Q13 is "Q13_21"
   FTCE_MXILINX_MyScopeMain Q14 (.C(C), 
                                 .CE(CE), 
                                 .CLR(CLR), 
                                 .T(T14), 
                                 .Q(Q_DUMMY[14]));
   // synthesis attribute HU_SET of Q14 is "Q14_22"
   FTCE_MXILINX_MyScopeMain Q15 (.C(C), 
                                 .CE(CE), 
                                 .CLR(CLR), 
                                 .T(T15), 
                                 .Q(Q_DUMMY[15]));
   // synthesis attribute HU_SET of Q15 is "Q15_23"
endmodule
`timescale 1ns / 1ps

module MyScopeMain(CLK, 
                   DIV0, 
                   DIV1, 
                   M50, 
                   RESET, 
                   RUN, 
                   ADR, 
                   AD_CLK, 
                   CS, 
                   OE, 
                   STOP, 
                   WE);

    input CLK;
    input DIV0;
    input DIV1;
    input M50;
    input RESET;
    input RUN;
   output [15:0] ADR;
   output AD_CLK;
   output CS;
   output OE;
   output STOP;
   output WE;
   
   wire [7:0] Teiler;
   wire XLXN_10;
   wire XLXN_18;
   wire XLXN_24;
   wire XLXN_25;
   wire XLXN_45;
   wire XLXN_46;
   wire XLXN_83;
   wire XLXN_110;
   wire XLXN_115;
   wire XLXN_117;
   wire XLXN_118;
   wire XLXN_119;
   wire XLXN_120;
   wire XLXN_122;
   wire XLXN_124;
   wire XLXN_126;
   wire [15:0] ADR_DUMMY;
   wire WE_DUMMY;
   wire STOP_DUMMY;
   
   assign ADR[15:0] = ADR_DUMMY[15:0];
   assign STOP = STOP_DUMMY;
   assign WE = WE_DUMMY;
   CB16CE_MXILINX_MyScopeMain XLXI_1 (.C(XLXN_25), 
                                      .CE(XLXN_10), 
                                      .CLR(RESET), 
                                      .CEO(), 
                                      .Q(ADR_DUMMY[15:0]), 
                                      .TC());
   // synthesis attribute HU_SET of XLXI_1 is "XLXI_1_24"
   OR2 XLXI_2 (.I0(CLK), 
               .I1(XLXN_18), 
               .O(XLXN_24));
   INV XLXI_4 (.I(ADR_DUMMY[15]), 
               .O(STOP_DUMMY));
   VCC XLXI_5 (.P(XLXN_10));
   GND XLXI_6 (.G(CS));
   INV XLXI_11 (.I(XLXN_18), 
                .O(WE_DUMMY));
   NAND2 XLXI_16 (.I0(CLK), 
                  .I1(WE_DUMMY), 
                  .O(OE));
   INV XLXI_19 (.I(XLXN_24), 
                .O(XLXN_25));
   AND3 XLXI_31 (.I0(RUN), 
                 .I1(STOP_DUMMY), 
                 .I2(XLXN_83), 
                 .O(XLXN_18));
   VCC XLXI_32 (.P(XLXN_46));
   GND XLXI_33 (.G(XLXN_45));
   AND2 XLXI_44 (.I0(XLXN_124), 
                 .I1(Teiler[0]), 
                 .O(XLXN_115));
   AND2 XLXI_45 (.I0(XLXN_126), 
                 .I1(M50), 
                 .O(XLXN_119));
   INV XLXI_52 (.I(XLXN_83), 
                .O(AD_CLK));
   D2_4E_MXILINX_MyScopeMain XLXI_57 (.A0(DIV0), 
                                      .A1(DIV1), 
                                      .E(XLXN_110), 
                                      .D0(XLXN_126), 
                                      .D1(XLXN_124), 
                                      .D2(XLXN_122), 
                                      .D3(XLXN_120));
   // synthesis attribute HU_SET of XLXI_57 is "XLXI_57_25"
   VCC XLXI_58 (.P(XLXN_110));
   CB8CE_MXILINX_MyScopeMain XLXI_59 (.C(M50), 
                                      .CE(XLXN_46), 
                                      .CLR(XLXN_45), 
                                      .CEO(), 
                                      .Q(Teiler[7:0]), 
                                      .TC());
   // synthesis attribute HU_SET of XLXI_59 is "XLXI_59_26"
   AND2 XLXI_60 (.I0(XLXN_122), 
                 .I1(Teiler[4]), 
                 .O(XLXN_117));
   AND2 XLXI_61 (.I0(XLXN_120), 
                 .I1(Teiler[7]), 
                 .O(XLXN_118));
   NOR4 XLXI_66 (.I0(XLXN_118), 
                 .I1(XLXN_117), 
                 .I2(XLXN_115), 
                 .I3(XLXN_119), 
                 .O(XLXN_83));
endmodule
